Integrations
Refresh an IntegrationLink
Trigger a refresh operation for an IntegrationLink. A link can be refreshed once every 6 hours.
POST
/
api
/
integrations
/
{heron_id}
/
links
/
{link_item_id}
/
refresh
Refresh an IntegrationLink
curl --request POST \
--url https://app.herondata.io/api/integrations/{heron_id}/links/{link_item_id}/refresh \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"assets_report_days_to_sync": 730
}
'import requests
url = "https://app.herondata.io/api/integrations/{heron_id}/links/{link_item_id}/refresh"
payload = { "assets_report_days_to_sync": 730 }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({assets_report_days_to_sync: 730})
};
fetch('https://app.herondata.io/api/integrations/{heron_id}/links/{link_item_id}/refresh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.herondata.io/api/integrations/{heron_id}/links/{link_item_id}/refresh",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'assets_report_days_to_sync' => 730
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.herondata.io/api/integrations/{heron_id}/links/{link_item_id}/refresh"
payload := strings.NewReader("{\n \"assets_report_days_to_sync\": 730\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.herondata.io/api/integrations/{heron_id}/links/{link_item_id}/refresh")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"assets_report_days_to_sync\": 730\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.herondata.io/api/integrations/{heron_id}/links/{link_item_id}/refresh")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"assets_report_days_to_sync\": 730\n}"
response = http.request(request)
puts response.read_body{
"link": {
"item_id": "M5eVJqLnv3tbzdngLDp9FL5OlDNxlNhlE55op",
"created": "2020-01-01T00:00:00Z",
"last_successful_sync": "2020-01-01T00:00:00Z",
"last_updated": "2020-01-01T00:00:00Z",
"status": "active",
"status_message": "[ITEM_LOGIN_REQUIRED] the login details of this item have changed (credentials, MFA, or required user action) and a user login is required to update this information. use Link's update mode to restore the item to a good state",
"type": "plaid_assets_report"
}
}Path Parameters
Body
application/json
Plaid assets report only. Days of history to refresh. Defaults to your account setting. WARNING: DESTRUCTIVE. Transactions older than this many days are deleted, with their labels. Dashboard refreshes don't send this field, so they use your account setting.
Required range:
1 <= x <= 730Example:
730
Was this page helpful?
⌘I
Refresh an IntegrationLink
curl --request POST \
--url https://app.herondata.io/api/integrations/{heron_id}/links/{link_item_id}/refresh \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"assets_report_days_to_sync": 730
}
'import requests
url = "https://app.herondata.io/api/integrations/{heron_id}/links/{link_item_id}/refresh"
payload = { "assets_report_days_to_sync": 730 }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({assets_report_days_to_sync: 730})
};
fetch('https://app.herondata.io/api/integrations/{heron_id}/links/{link_item_id}/refresh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.herondata.io/api/integrations/{heron_id}/links/{link_item_id}/refresh",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'assets_report_days_to_sync' => 730
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.herondata.io/api/integrations/{heron_id}/links/{link_item_id}/refresh"
payload := strings.NewReader("{\n \"assets_report_days_to_sync\": 730\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.herondata.io/api/integrations/{heron_id}/links/{link_item_id}/refresh")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"assets_report_days_to_sync\": 730\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.herondata.io/api/integrations/{heron_id}/links/{link_item_id}/refresh")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"assets_report_days_to_sync\": 730\n}"
response = http.request(request)
puts response.read_body{
"link": {
"item_id": "M5eVJqLnv3tbzdngLDp9FL5OlDNxlNhlE55op",
"created": "2020-01-01T00:00:00Z",
"last_successful_sync": "2020-01-01T00:00:00Z",
"last_updated": "2020-01-01T00:00:00Z",
"status": "active",
"status_message": "[ITEM_LOGIN_REQUIRED] the login details of this item have changed (credentials, MFA, or required user action) and a user login is required to update this information. use Link's update mode to restore the item to a good state",
"type": "plaid_assets_report"
}
}